GET resource/get-documents-published-by-user?user_id={user_id}

Get a list of resources which have been published by a concrete user identifier.

Request Information

Headers

HTTP_AUTHORIZATION: Required. OAuth 1.0 parameters with the OAuth signature of the url you are going to request. The consumer keys and access token can be obtained from the community administration.

Sample:
        HTTP_AUTHORIZATION:
            OAuth oauth_token="CObXqjfOisVh9%2F2GjC7NNd8BCzY%3D",
            oauth_consumer_key="clGACsiGaMp%2FD%2BUwkSvRBxA1k50%3D",
            oauth_nonce="VqKza6d5x1HpPQWFe08spbdOnkTQpfaLfD9Oeuyg",
            oauth_signature_method="HMAC-SHA1",
            oauth_timestamp="1462882011",
            oauth_signature="RH5aKKKJaEvK5cIsZZzXtFh7cCk%3D"
    

URI Parameters

NameDescriptionTypeAdditional information
user_id

User identifier

globally unique identifier

Required

Response Information

Resource Description

DescriptionType

Dictionary`2

Response Formats

application/json, text/json

Sample:
{
  "sample string 1": [
    "9e122c33-b6b5-49c3-8b5d-9529b7cd1379",
    "c8a7781c-37f9-463d-9391-c1027077343b"
  ],
  "sample string 2": [
    "20488b5d-1ec2-43d2-8881-02b4e6d4d134",
    "0ae79ba8-92c7-43cb-942e-49e411894233"
  ]
}

Response HTTP status code

On success, the response contains 200 code.

On fail, throws a WebException with code:

  • 401 Unauthorized if the OAuth signature is invalid
  • 400 Bad Request if the params are invalid
  • 500 Internal server error if something goes wrong...